"""Información General Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class InformacionGeneralResponse(BaseModel):
    """Información general de fracciones"""

    OBSERVACIONES: Optional[str] = Field(None, max_length=1000)
    NOTAOBSERVACIONES: Optional[str] = Field(None, max_length=1000)
    FRACCION: Optional[str] = Field(None, max_length=10)
    TIPOOPERACION: Optional[int] = None
    ORDEN: Optional[int] = None
    LEYENDA: Optional[str] = None
    NOTA: Optional[str] = None
    NICO: Optional[str] = Field("", max_length=2)
    SYSID: int

    model_config = ConfigDict(from_attributes=True)
